﻿<!-- templates/panel.html -->
<!-- panel -->
<DOCTYPE html>
    <html lang="zh-han">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="shortcut icon" href="{{ url_for('static',filename='img/favicon.png') }}" type="image/x-icon">

        <title>个人中心</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="{{ url_for('static',filename='assets/fonts/Lato/Lato.css') }}">

        <!-- Icons -->
        <link rel="stylesheet" href="{{ url_for('static',filename='assets/fonts/flaticon/flaticon.css') }}">
        <link rel="stylesheet"
            href="{{ url_for('static',filename='assets/fonts/webfont/css/materialdesignicons.min.css') }}">

        <!-- Libs -->
        <link rel="stylesheet" href="{{ url_for('static',filename='libs/bootstrap-4.3.1/css/bootstrap.min.css') }}">
        <link rel="stylesheet" href="{{ url_for('static',filename='libs/select2/css/select2.min.css') }}">
        <link rel="stylesheet" href="{{ url_for('static',filename='libs/slick/slick.css') }}">

        <!-- Theme -->
        <link rel="stylesheet" href="{{ url_for('static',filename='assets/css/style.css') }}">
        <meta name="theme-color" content="#ECECEC">
        <style>
            .procDisplay {
                width: inherit;
                height: 150px;
                display: flex;
                align-items: center;
                justify-content: center;
                padding: 5px 5px 5px 5px;
                /*为了效果明显，可以将如下边框打开，看一下效果*/
                /* border:1px solid black; */
            }

            .procDisplay img {
                max-width: 100%;
                max-height: 100%;
            }

            #myh5{
                display:inline-block;
            }
            #myh3{
                display: inline-block;
            }
        </style>
    </head>

    <body class="home">

        <div class="head-line"></div>

        {% for message in get_flashed_messages(with_categories=True) %}
        <div class="alert alert-{{ message[0] }}">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <strong>{{ message[1] }}</strong>
        </div>
        {% endfor %}

        <header class="page-header">
            <div class="container">
                <div class="top-bar row align-items-center">
                    <div class="search col-lg-4">
                        <div class="form-search-toggle js-open-search">
                            <i class="search-icon flaticon-magnifying-glass-browser fi-2x"></i>
                            <span>Search</span>
                        </div>
                        <div id="js-open-mob-menu" class="mob-menu-toggle">
                            <span>Menu</span> <i class="flaticon-menu-options fi-2x"></i>
                        </div>
                    </div>

                    <div class="logo col-lg-4">
                        <a href="{{ url_for('user.home') }}"><img src="{{ url_for('static',filename='img/logo.png') }}"
                                alt=""></a>
                    </div>
                    <div class="quick-access-menu col-lg-4">


                        <div class="quick-access__item">
                            <div class="header-mini-cart">
                                <a href="{{ url_for('user.panel') }}"><span class="account"><i
                                            class="flaticon-messenger-user-avatar fi-2x"></i></span></a>
                                <div class="mini-cart">
                                    <div class="mini-cart__content">
                                        {% if username %}
                                        <div class="empty-message">Hello,{{username}}</div>
                                        <a href="{{ url_for('user.panel') }}"
                                            class="btn btn-primary btn-lg mini-cart__btn">个人中心</a>
                                        {% else %}
                                        <div class="empty-message">Please log in first</div>
                                        {% endif %}
                                    </div>
                                    <div class="mini-cart__footer">
                                        <div class="icon-box icon-box-left justify-content-center">
                                            <div class="icon-box__icon"><i class="flaticon flaticon-delivery-truck"></i>
                                            </div>
                                            <div class="icon-box__title">Buybuy</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div><!-- end of quick-access-menu -->
                </div> <!-- end of top-bar -->
                <nav class="header-navigation">
                    <button class="mob-menu-close" id="js-close-mob-menu">
                        <span>Close</span>
                        <i class="flaticon-cancel-button"></i>
                    </button>
                    <br>
                    <ul class="nav justify-content-center">
                        <li class="nav-item">
                            <a class="nav-link active" href="{{ url_for('user.home') }}">主页</a>
                        </li>
                        {% if username %}
                        <li class="nav-item">
                            <a class="nav-link" href="{{ url_for('user.panel') }}">个人中心</a>
                        </li>
                        <li class="nav-item">
                            <a onclick="return confirm('确认注销？');" class="nav-link"
                                href="{{ url_for('user.logout') }}">注销</a>
                        </li>
                        {% else %}
                        <li class="nav-item">
                            <a class="nav-link" href="{{ url_for('user.login') }}">登录</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ url_for('user.regist') }}">注册</a>
                        </li>
                        {% endif %}

                    </ul>
                </nav>
            </div>
        </header>

        <center>
        <div class="page-wrap">
            <div class="page-content">
                <main class="main-content">
                    <div class="container">
                        <section class="section-userinfo">
                            <div class="container">
                                {% if user.head %}
                                <img src="{{ url_for('static',filename=user.head) }}" width='100' alt="初始">
                                {% endif %}
                                    <div style="margin-left:0px;"> 
                                        <!-- 这个是整居中的：：class="row align-items-center" -->
                                        <h2 id="myh3" class="mb-30" style="margin-top: 30px;padding-left:10px">{{user.username}}</h2>
                                        <h5 id="myh5">
                                         {% if user.admin_level == 0 %}
                                            {% if user.identity %}
                                                {% if user.identity_ok %}
                                                已认证
                                                {% elif user.identity_reason %}
                                                认证未通过（{{ user.identity_reason }}）
                                                {% else %}
                                                已上传，等待审核
                                                {% endif %}
                                            {% else %}
                                                未认证
                                            {% endif %}
                                         {% endif %}
                                        </h5>
                                        <h5>
                                            {% if not user.identity_ok %}
                                                <a href="{{ url_for('user.identity') }}" class="btn btn-primary mr-1 mb-3">立即认证</a>
                                            {% endif %}
                                        </h5>
                                    </div>
                                <h4 class="mb-30">邮箱：{{user.email}}</h4>
                                <h4 class="mb-30">
                                    {% if user.have_unread_messages %}
                                        有新的消息
                                    {% endif %}
                                </h4>
                            </div>
                        </section>
                        
                        <nav class="nav-item">
                            <div class="container">
                                {% if user.admin_level == 0 %}
                                <a href="{{ url_for('user.changeHead') }}"
                                 class="btn btn-primary mr-1 mb-3">修改头像</a>
                                <a href="{{ url_for('user.changeName') }}"
                                 class="btn btn-primary mr-1 mb-3">修改昵称</a><br />
                                <a href="{{ url_for('user.change') }}"
                                 class="btn btn-primary mr-1 mb-3">修改密码</a>
                                <a href="{{ url_for('store.productAdd') }}"
                                    class="btn btn-primary mr-1 mb-3">添加商品</a><br />
                                <a href="{{ url_for('store.my_prod') }}" 
                                    class="btn btn-primary mr-1 mb-3">我的商品</a>
                                <a href="{{ url_for('store.my_browse') }}"
                                    class="btn btn-primary mr-1 mb-3">浏览记录</a><br />
                                <a href="{{ url_for('store.my_collect') }}"
                                    class="btn btn-primary mr-1 mb-3">收藏夹</a>
                                <a href="{{ url_for('chat.message_list') }}" 
                                    class="btn btn-primary mr-1 mb-3">消息列表</a><br />
                                {% else %}
                                <a href="{{ url_for('user.admin_account') }}" class="btn btn-primary mr-1 mb-3">账户管理</a>
                                <a href="{{ url_for('store.admin_picture') }}" class="btn btn-primary mr-1 mb-3">商品审核</a>
                                <a href="{{ url_for('user.admin_examine') }}" class="btn btn-primary mr-1 mb-3">认证审核</a>
                                <br/>
                                <br/>
                                <br />
                                {% endif %}
                            </div>
                        </nav>
                    </div>
                </main> <!-- end of main -->
            </div>
        </div>
        </center>


        <footer class="page-footer">
            <div class="container">


                <div class="footer-bottom">
                    <div class="copyright">Copyright &copy; 2020.Adventure of Bug Coders All rights reserved.<a
                            target="_blank" href=""></a></div>
                    <ul class="footer-bottom__menu">
                        <li>Privacy Policy</li>
                        <li>Terms of use</li>
                    </ul>
                </div>
            </div>
        </footer>

        <div class="full-search-wrap">
            <div class="full-search container">
                <div class="close-s float-right js-close-search flaticon-cancel-button fi-2x"></div>
                <form action="/getsearch" class=" search-full-form" method=post>
                    <div class="position-relative">
                        <i class="search-icon flaticon-magnifying-glass-browser fi-2x"></i>
                        <input type="text" id="s-full" class="search-full-form__input" placeholder="Search"
                            name="keyword" maxlength="80">
                        <input type="submit" class="d-none">
                    </div>
                    <p class="hint">Type in your search and press enter</p>
                </form>
            </div>
        </div>

        <div id="js-back-to-top" class="back-to-top"><i class="flaticon-up-arrow-sign"></i> Page top</div>

        <!-- Libs -->
        <script src="{{ url_for('static',filename='libs/jquery-2.2.3.min.js') }}"></script>
        <script src="{{ url_for('static',filename='libs/bootstrap-4.3.1/js/bootstrap.min.js') }}"></script>
        <script src="{{ url_for('static',filename='libs/select2/js/select2.min.js') }}"></script>
        <script src="{{ url_for('static',filename='libs/slick/slick.min.js') }}"></script>

        <!-- Theme -->
        <script src="{{ url_for('static',filename='assets/js/custom.js') }}"></script>

    </body>

    </html>
</DOCTYPE>